%global	module	glumpy

Name:		python-%{module}
Summary:	Small python library for rapid visualization of numpy arrays
Version:	0.2.1
Release:	3%{?dist}
Source0:	http://glumpy.googlecode.com/files/%{module}-%{version}.tar.gz
License:	BSD
Group:		Development/Libraries
URL:		http://glumpy.googlecode.com/

Requires:	numpy PyOpenGL
BuildRequires:	numpy
BuildRequires:	python2
BuildArch:	noarch


%description
glumpy is a small python library for the rapid visualization
of numpy arrays, (mainly two dimensional) that has been 
designed with efficiency in mind. If you want to draw nice 
figures for inclusion in a scientific article, you’d better
use matplotlib. If you want to have a sense of what’s going 
on in your simulation while it is running, then maybe glumpy 
can help you. 

%prep
%setup -q -n %{module}-%{version}

# Remove shebangs in python scripts
for lib in `find demos/ glumpy/ -name "*.py"`; do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

# Fix EOL in obj file
sed -i 's/\r//g' demos/triceratops.obj

%build
python setup.py build 

%install
rm -rf %{buildroot}
python setup.py install -O1 --skip-build  --root=%{buildroot}

%files
%doc COPYING.txt README.txt
%doc demos

%{python_sitelib}/glumpy/
%{python_sitelib}/glumpy-%{version}-py*.egg-info

%changelog
* Mon Jan 30 2012 Thibault North <tnorth@fedoraproject.org> - 0.2.1-3
- Fix requires

* Mon Jan 9 2012 Thibault North <tnorth@fedoraproject.org> - 0.2.1-2
- Fix group, require ipython

* Tue Dec 20 2011 Thibault North <tnorth@fedoraproject.org> - 0.2.1-1
-Initial package